Get Transaction
curl --request GET \
--url https://api.vitawallet.io/api/businesses/transactions/{id} \
--header 'Authorization: <api-key>' \
--header 'x-date: <api-key>' \
--header 'x-login: <api-key>' \
--header 'x-trans-key: <api-key>'import requests
url = "https://api.vitawallet.io/api/businesses/transactions/{id}"
headers = {
"x-login": "<api-key>",
"x-trans-key": "<api-key>",
"x-date": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-login': '<api-key>',
'x-trans-key': '<api-key>',
'x-date': '<api-key>',
Authorization: '<api-key>'
}
};
fetch('https://api.vitawallet.io/api/businesses/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vitawallet.io/api/businesses/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-date: <api-key>",
"x-login: <api-key>",
"x-trans-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vitawallet.io/api/businesses/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-login", "<api-key>")
req.Header.Add("x-trans-key", "<api-key>")
req.Header.Add("x-date", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vitawallet.io/api/businesses/transactions/{id}")
.header("x-login", "<api-key>")
.header("x-trans-key", "<api-key>")
.header("x-date", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vitawallet.io/api/businesses/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-login"] = '<api-key>'
request["x-trans-key"] = '<api-key>'
request["x-date"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"transaction": {
"id": "ba094b4b-bfcc-435d-339422894990-69301",
"type": "business_transaction",
"attributes": {
"status": "completed",
"currency": "cop",
"currency_iso_code": "cop",
"amount": 25185600,
"total": 25185600,
"fee_value": 0,
"total_fee": 0,
"created_at": "2026-09-02T17:15:01.865Z",
"recipient_email": "xxxxxxxxx@vitawallet.io",
"source": "business",
"currency_received": "cop",
"purpose_comentary": null,
"order": 1267888888,
"category": "vita_sent",
"recipient_wallet": {
"uuid": null,
"token": "master",
"created_at": "2025-04-30T13:28:43.882Z",
"balances": {
"usdt": 0,
"usd": 13548.33,
"usdc": 0,
"cop": 25226556,
"ars": 10527,
"eur": 18.8,
"clp": 102178995,
"mxn": 1176.42
},
"is_master": true
},
"sender_wallet": {
"uuid": "6c53106f-e485-4b97-4efa26aac469",
"token": "master",
"created_at": "2023-07-03T14:13:21.122Z",
"balances": {
"clp": 195343,
"usdc": 85,
"usdt": 1125.7,
"usd": 650.98,
"bob": 0,
"btc": 0,
"ars": 925960,
"cop": 24814400,
"brl": 893401.75
},
"is_master": true
},
"included": null,
"vita_transaction_id": "ba094b4b-bfcc-435d-339422894990-69301",
"tracking_url": "https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/Dwt6v5ts",
"funding_source": null,
"statuses": [
{
"status": "completed",
"created_at": "2026-09-02T17:15:01.907Z",
"transaction_operation_type": "updated"
},
{
"status": "started",
"created_at": "2026-09-02T17:15:01.883Z",
"transaction_operation_type": "created"
}
],
"provider_secondary_reference": null
}
}
}Transactions
Get Transaction
This method allows you to obtain the information of an API transaction by VITA ID.
GET
/
api
/
businesses
/
transactions
/
{id}
Get Transaction
curl --request GET \
--url https://api.vitawallet.io/api/businesses/transactions/{id} \
--header 'Authorization: <api-key>' \
--header 'x-date: <api-key>' \
--header 'x-login: <api-key>' \
--header 'x-trans-key: <api-key>'import requests
url = "https://api.vitawallet.io/api/businesses/transactions/{id}"
headers = {
"x-login": "<api-key>",
"x-trans-key": "<api-key>",
"x-date": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-login': '<api-key>',
'x-trans-key': '<api-key>',
'x-date': '<api-key>',
Authorization: '<api-key>'
}
};
fetch('https://api.vitawallet.io/api/businesses/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vitawallet.io/api/businesses/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-date: <api-key>",
"x-login: <api-key>",
"x-trans-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vitawallet.io/api/businesses/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-login", "<api-key>")
req.Header.Add("x-trans-key", "<api-key>")
req.Header.Add("x-date", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vitawallet.io/api/businesses/transactions/{id}")
.header("x-login", "<api-key>")
.header("x-trans-key", "<api-key>")
.header("x-date", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vitawallet.io/api/businesses/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-login"] = '<api-key>'
request["x-trans-key"] = '<api-key>'
request["x-date"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"transaction": {
"id": "ba094b4b-bfcc-435d-339422894990-69301",
"type": "business_transaction",
"attributes": {
"status": "completed",
"currency": "cop",
"currency_iso_code": "cop",
"amount": 25185600,
"total": 25185600,
"fee_value": 0,
"total_fee": 0,
"created_at": "2026-09-02T17:15:01.865Z",
"recipient_email": "xxxxxxxxx@vitawallet.io",
"source": "business",
"currency_received": "cop",
"purpose_comentary": null,
"order": 1267888888,
"category": "vita_sent",
"recipient_wallet": {
"uuid": null,
"token": "master",
"created_at": "2025-04-30T13:28:43.882Z",
"balances": {
"usdt": 0,
"usd": 13548.33,
"usdc": 0,
"cop": 25226556,
"ars": 10527,
"eur": 18.8,
"clp": 102178995,
"mxn": 1176.42
},
"is_master": true
},
"sender_wallet": {
"uuid": "6c53106f-e485-4b97-4efa26aac469",
"token": "master",
"created_at": "2023-07-03T14:13:21.122Z",
"balances": {
"clp": 195343,
"usdc": 85,
"usdt": 1125.7,
"usd": 650.98,
"bob": 0,
"btc": 0,
"ars": 925960,
"cop": 24814400,
"brl": 893401.75
},
"is_master": true
},
"included": null,
"vita_transaction_id": "ba094b4b-bfcc-435d-339422894990-69301",
"tracking_url": "https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/Dwt6v5ts",
"funding_source": null,
"statuses": [
{
"status": "completed",
"created_at": "2026-09-02T17:15:01.907Z",
"transaction_operation_type": "updated"
},
{
"status": "started",
"created_at": "2026-09-02T17:15:01.883Z",
"transaction_operation_type": "created"
}
],
"provider_secondary_reference": null
}
}
}Authorizations
Business xLogin
Business xTransKey
ISO8601 datetime
V2-HMAC-SHA256 signature. Example: V2-HMAC-SHA256, Signature: <hash>
Path Parameters
Id from transaction
Response
200 - application/json
Successful response.